Skip to content

getMaintenanceDispatch

READ

Get maintenance dispatch.

POST /api/v1/resources/getMaintenanceDispatch
curl -X POST '<your-host>/api/v1/resources/getMaintenanceDispatch' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "dispatchId": "string"
  }'
Response
{
  "actualEndTime": "string",
  "actualFailureModeId": "string",
  "actualStartTime": "string",
  "assignee": {
    "…": "string"
  },
  "companyId": "string",
  "completedAt": "string",
  "content": "…",
  "createdAt": "string",
  "createdBy": "string",
  "duration": 0,
  "id": "string",
  "locationId": "string",
  "maintenanceDispatchId": "string",
  "maintenanceScheduleId": "string",
  "nonConformanceId": "string",
  "oeeImpact": "Planned",
  "plannedEndTime": "string",
  "plannedStartTime": "string",
  "priority": "Low",
  "procedureId": "string",
  "severity": "Preventive",
  "source": "Non-Conformance",
  "status": "Open",
  "suspectedFailureModeId": "string",
  "takesWorkCenterOffline": true,
  "updatedAt": "string",
  "updatedBy": "string",
  "workCenterId": "string",
  "suspectedFailureMode": {
    "id": "string",
    "name": "string"
  },
  "actualFailureMode": {
    "id": "string",
    "name": "string"
  },
  "schedule": {
    "id": "string",
    "name": "string"
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "dispatchId": {
      "type": "string"
    }
  },
  "required": [
    "dispatchId"
  ]
}